Bug 105713 - Bad X config from anaconda
Summary: Bad X config from anaconda
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-26 19:27 UTC by Nick Marsh
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-21 22:54:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda X config file (3.07 KB, text/plain)
2003-09-26 19:28 UTC, Nick Marsh
no flags Details
Working config created to redhat-config-xfree86 (3.07 KB, text/plain)
2003-09-26 21:04 UTC, Nick Marsh
no flags Details

Description Nick Marsh 2003-09-26 19:27:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
Anaconda display works correctly when installing but ultimately boots into
"garbage display". I've tried a number of generic settings and the anaconda
default. If I remove my Xconfig file and run redhat-config-xfree86 if seems to
fix everything. 



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Linux
2. Boot into Linux
3. Graphical boot and first boot are not displaied correctly.
4. Remove X config file.
5. redhat-config-xfree86

    

Actual Results:  Display is garbage before doing redhat-config-xfree86.

Expected Results:  Display works in anaconda, it sould also work on first boot.

Additional info:

Comment 1 Nick Marsh 2003-09-26 19:28:29 UTC
Created attachment 94764 [details]
Anaconda X config file

Here is the file anaconda generates.

Comment 2 Nick Marsh 2003-09-26 19:29:49 UTC
Added the Xconfig file anaconda generates.

Comment 3 Bill Nottingham 2003-09-26 20:15:41 UTC
Can you add the working XFree86 config file as well?

Comment 4 Nick Marsh 2003-09-26 21:04:37 UTC
Created attachment 94769 [details]
Working config created to redhat-config-xfree86

Addached working config created by redhat-config-xfree86. It uses a generic
monitor, but I can then go in and select Dell M991 or something else and it
works fine.

Comment 5 Bill Nottingham 2003-09-29 03:46:42 UTC
So, if you use the one generated by anaconda, and switch it to 16bpp, does it work?

Comment 6 Nick Marsh 2003-09-29 13:31:04 UTC
16 as is Depth and DefaultDepth under the screen section? No that did not work.

Comment 7 Nick Marsh 2003-09-29 19:25:07 UTC
Update: I rebotted with the 16 bit setting and its working now. I guess I didn't
fully restart X or something perviosuly. 

To clarify... The anaconda file with 16bit depth is working after reboot.

Comment 8 Nick Marsh 2003-10-04 19:20:46 UTC
Tested again using all anaconda defaults (+ generic monitor) and the X config
was hosed. Changed to 16bpp and restared X and it was working again. Perhaps
anaconda should write the default to be 16bpp.

Comment 9 Nick Marsh 2003-10-14 14:19:48 UTC
Yep, still a problem in test3.

Comment 10 Jeremy Katz 2003-10-21 22:54:04 UTC
Fixed in CVS so that some older chips will get 16bpp by default instead of 24


Note You need to log in before you can comment on or make changes to this bug.